Retrieve a list of team
curl --request GET \
--url https://api.orgnise.in/teams \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orgnise.in/teams"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orgnise.in/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"_id": "<string>",
"name": "<string>",
"logo": null,
"description": "<string>",
"membersCount": 123,
"meta": {
"title": "<string>",
"description": "<string>",
"slug": "<string>"
},
"inviteCode": "<string>",
"billingCycleStart": 123,
"usage": {
"pages": 0,
"users": 0,
"workspaces": 0
},
"limit": {
"pages": 0,
"users": 0,
"workspaces": 0
},
"createdAt": "<string>",
"updatedAt": "<string>",
"role": "<unknown>"
}
]{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#not_found"
}
}{
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#conflict"
}
}{
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#invite_expired"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#internal_server_error"
}
}teams
Retrieve a list of team
Retrieve a list of team for the authenticated user.
GET
/
teams
Retrieve a list of team
Authorizations
Default authentication mechanism
Response
A list of team
The unique ID of the team.
The name of the team.
The logo of the team.
The description of the team.
Maximum string length:
120The members count of the team.
The meta of the team.
Show child attributes
Show child attributes
The invite code of the team.
Maximum string length:
24The plan of the team.
Available options:
free, pro, business, enterprise The date and time when the billing cycle starts for the team.
The usage of the resource of a team.
Show child attributes
Show child attributes
The limit of the team resources.
Show child attributes
Show child attributes
The date and time when the team was created.
The date and time when the team was last updated.
The role of the authenticated user in the team.
Was this page helpful?
⌘I